Bug 1652515 - Creating cloud subnet with invalid CIDR returns unclear error
Summary: Creating cloud subnet with invalid CIDR returns unclear error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Alexander Demicev
QA Contact: Matouš Mojžíš
Red Hat CloudForms Documentation
URL:
Whiteboard: network:subnet
Depends On:
Blocks: 1653771
TreeView+ depends on / blocked
 
Reported: 2018-11-22 09:31 UTC by Jad Haj Yahya
Modified: 2019-02-12 16:51 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1653771 (view as bug list)
Environment:
Last Closed: 2019-02-12 16:51:40 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)
screenshot of error (108.12 KB, image/png)
2018-11-22 09:31 UTC, Jad Haj Yahya
no flags Details

Description Jad Haj Yahya 2018-11-22 09:31:56 UTC
Created attachment 1507907 [details]
screenshot  of error

Description of problem:
Creating cloud subnet with invalid CIDR returns unclear error

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Navigate to Networks > Cloud Subnets
2. Go to Configuration > Add New Subnet
3. On CIDR field, provide an invalid value and click Add

Actual results:
Unclear error message returned (see attachment)

Expected results:
Cleaner error message should be displayed

Additional info:

Comment 4 Jad Haj Yahya 2018-11-29 11:59:26 UTC
Verified on 5.10.0.27


Note You need to log in before you can comment on or make changes to this bug.